[package]
name = "dyn-loader"
version = "0.1.0"
edition = "2021"

[dependencies]
yggdrasil-rt.workspace = true
logsink.workspace = true

thiserror.workspace = true
bytemuck.workspace = true
log.workspace = true
serde.workspace = true
toml.workspace = true
clap.workspace = true

elf = "0.7.4"
cfg-if = "1.0.0"
rustc-demangle = { version = "0.1.24" }

[lints.rust]
unexpected_cfgs = { level = "allow", check-cfg = ['cfg(rust_analyzer)'] }
